Subject: Re: [Mpls-review] MPLS-RT review of draft-raza-mpls-ldp-applicability-label-adv

From: Yaacov Weingarten <[email-masked]>
Date: Mon, 2 Jul 2012 17:36:15 +0300

Hi, all

I have read the draft and in general would say that it is coherent, useful,
fills a void, and ready for WG adoption.

There is one point that I would raise with the authors and their extensions
to RFC5036 Section 3.5.3 - I think it would be helpful if the authors
explicitly addressed the final sentence in the description of the A bit and
explained how to support an LSR that the mode that is being forced on it is
"unacceptable".  During the Initialization of the session there is a
possibility for the LSR to reject the session, but in the proposal, it
seems that a particular application may use a mode that was not agreed as
part of the initialization.

Aside from that there are several editorial corrections that should be
performed that I will forward to the authors

BR,
yaacov weingarten

On Wed, Jun 20, 2012 at 5:14 PM, Ross Callon <[email-masked]> wrote:

>  You have been selected as an MPLS Review team reviewers for
> draft-raza-mpls-ldp-applicability-label-adv.
>
> Reviews should comment on whether the document is coherent, is it useful
> (ie, is it likely to be actually useful in operational networks), and is
> the document technically sound?  We are interested in knowing whether the
> document is ready to be considered for WG adoption (ie, it doesn’t have to
> be perfect at this point, but should be a good start).
>
> Reviews should be sent to the document authors, WG co-chairs and secretary,
> and CC’d to the MPLS WG email list. If necessary, comments may be sent
> privately to only the WG chairs.
>
> Are you able to review this draft by July 11, 2012 (this is giving you an
> extra week due to the July 4th holiday)?
>
> Thanks, Ross
> (as MPLS WG chair)
>
>
> _______________________________________________
> Mpls-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-review
>
>

---

From: Nischal Sheth <[email-masked]>
Date: Mon, 9 Jul 2012 16:39:56 -0700

Hi All,

Having read and reviewed draft-raza-mpls-ldp-applicability-label-adv-02,
I think it is well-written and addresses a practical problem encountered
in LDP deployments. I believe it's ready for adoption as a WG document.

I agree with previous comments that new LDP applications MUST state the
applicability of the negotiated label advertisement discipline.

-Nischal

---

From: "Kamran Raza (skraza)" <[email-masked]>
Date: Tue, 10 Jul 2012 19:14:00 +0000

Hi Nischal,

Thanks a lot for your review.

I'll address your comment in the next rev shortly.

Rgds.

-- Kamran

On 12-07-09 7:39 PM, "Nischal Sheth" <[email-masked]> wrote:

>> document is ready to be considered for WG adoption (ie, it doesn¹t have
>>to
>> and CC¹d to the MPLS WG email list. If necessary, comments may be sent

---

From: "Kamran Raza (skraza)" <[email-masked]>
Date: Mon, 16 Jul 2012 20:52:46 +0000

Hi Yaacov,

>> There is one point that I would raise with the authors and their extensions to RFC5036 Section 3.5.3 - I think it would be helpful if the authors
>> explicitly addressed the final sentence in the description of the A bit and explained how to support an LSR that the mode that is being forced on it
>> is "unacceptable".  During the Initialization of the session there is a possibility for the LSR to reject the session, but in the proposal, it seems that >> a particular application may use a mode that was not agreed as part of the initialization.

The matter of "acceptance" and "non-acceptance" only applies when mode "negotiation" applies to a FEC/application. As per out draft, the negotiated mode currently really applies to the "IP Prefix" FEC/application. So, the final sentence in the section 3.5.3. Of RFC 3036 still hold/apply as-is to this FEC.

For the FEC/applications with "forced" mode for their advertisement, there is no "negotiation" and hence they ALWAYS operate in a given mode for a given FEC/application (even on a shared session).

I can add following new subsection 4.3 in the draft to make it clear

"4.3 Unacceptable mode:

The procedures related to unacceptable label advertisement mode defined in RFC-5036 section 3.5.3 continue to apply for any "session mode-bound" FEC/applications. For "session mode-independent" FEC/applications, there is no negotiation and both LSRs MUST operate in the same/given mode as specified by their respective specification. For a session jointly shared amongst mode-bound and mode-independent FEC/applications, an unacceptable mode (between LSRs) for a given mode-bound FEC/application type will cause session to not establish, as per RFC-5036 section 3.5.3"

Comments ?

Rgds,
-- Kamran
From: Yaacov Weingarten <[email-masked]<mailto:[email-masked]>>
Date: Mon, 2 Jul 2012 17:36:15 +0300
To: Ross Callon <[email-masked]<mailto:[email-masked]>>
Cc: Nischal Sheth <[email-masked]<mailto:[email-masked]>>, Mach Chen <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, George Swallow <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Luca Martini <[email-masked]<mailto:[email-masked]>>, "Sami Boutros (sboutros)" <[email-masked]<mailto:[email-masked]>>, "Syed Kamran Raza (skraza)" <[email-masked]<mailto:[email-masked]>>, Nic Leymann <[email-masked]<mailto:[email-masked]>>, Martin Vigoureux <[email-masked]<mailto:[email-masked]>>, Loa Andersson <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Mpls-review] MPLS-RT review of draft-raza-mpls-ldp-applicability-label-adv

Hi, all

I have read the draft and in general would say that it is coherent, useful, fills a void, and ready for WG adoption.

There is one point that I would raise with the authors and their extensions to RFC5036 Section 3.5.3 - I think it would be helpful if the authors explicitly addressed the final sentence in the description of the A bit and explained how to support an LSR that the mode that is being forced on it is "unacceptable".  During the Initialization of the session there is a possibility for the LSR to reject the session, but in the proposal, it seems that a particular application may use a mode that was not agreed as part of the initialization.

Aside from that there are several editorial corrections that should be performed that I will forward to the authors

BR,
yaacov weingarten

On Wed, Jun 20, 2012 at 5:14 PM, Ross Callon <[email-masked]<mailto:[email-masked]>> wrote:
You have been selected as an MPLS Review team reviewers for
draft-raza-mpls-ldp-applicability-label-adv.

Thanks, Ross
(as MPLS WG chair)

_______________________________________________
Mpls-review mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls-review